> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sudo.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Funding Source

> Updates the specific funding source by setting the values of the parameters provided.



## OpenAPI

````yaml openapi.json put /fundingsources/{id}
openapi: 3.1.0
info:
  title: Sudo Sandbox API
  version: '1.0'
servers:
  - url: https://api.sandbox.sudo.cards
security:
  - sec0: []
paths:
  /fundingsources/{id}:
    put:
      summary: Update Funding Source
      description: >-
        Updates the specific funding source by setting the values of the
        parameters provided.
      operationId: update-funding-source
      parameters:
        - name: id
          in: path
          description: The `_id` of the funding source you wish to update.
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - status
              properties:
                status:
                  type: string
                  description: This is the status of the funding source.
                  default: active
                  enum:
                    - active
                    - inactive
                jitGateway:
                  type: object
                  description: >-
                    Just in-time gateway details.  Required if type is
                    `gateway`.
                  required:
                    - url
                    - authorizationHeader
                    - authorizeByDefault
                  properties:
                    url:
                      type: string
                      description: Just in-time gateway url (HTTPS only).
                    authorizationHeader:
                      type: string
                      description: Just in-time gateway authorization header.
                    authorizeByDefault:
                      type: string
                      description: Just in-time gateway timeout configuration.
      responses:
        '200':
          description: Funding source updated successfully.
          headers:
            X-Powered-By:
              schema:
                type: string
              example: Express
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            X-RateLimit-Limit:
              schema:
                type: integer
              example: '250000'
            X-RateLimit-Remaining:
              schema:
                type: integer
              example: '249999'
            X-RateLimit-Reset:
              schema:
                type: integer
              example: '0'
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            ETag:
              schema:
                type: string
              example: W/"2dd-sfRBgLV2BqnKnzwqFCi2UGdBgUQ"
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: integer
                    description: >-
                      Status code of the response. `200` indicates a successful
                      request.
                  message:
                    type: string
                    description: Human-readable description of the result.
                  data:
                    type: object
                    description: Response payload.
                    properties:
                      _id:
                        type: string
                        description: Unique identifier of the object.
                      business:
                        type: string
                        description: Identifier of the business that owns this object.
                      type:
                        type: string
                        description: Type of the object.
                      status:
                        type: string
                        description: Current status of the object.
                      isDeleted:
                        type: boolean
                        description: Whether the object has been soft-deleted.
                      createdAt:
                        type: string
                        format: date-time
                        description: ISO 8601 timestamp of when the object was created.
                      updatedAt:
                        type: string
                        format: date-time
                        description: >-
                          ISO 8601 timestamp of when the object was last
                          updated.
                      __v:
                        type: integer
                        description: Internal document version (Mongo).
              example:
                statusCode: 200
                message: Funding source updated successfully.
                data:
                  _id: 670cec9d25852ba485d74286
                  business: 670cec9d25852ba485d74273
                  type: default
                  status: inactive
                  isDeleted: false
                  createdAt: '2025-06-04T21:05:26.115Z'
                  updatedAt: '2025-06-05T09:15:00.000Z'
                  __v: 0
        '400':
          description: Validation error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: integer
                    description: >-
                      Status code of the response. `200` indicates a successful
                      request.
                  message:
                    type: string
                    description: Human-readable description of the result.
                  data:
                    nullable: true
                    description: Always `null` for error responses.
              example:
                statusCode: 400
                message: '"status" must be one of [active, inactive]'
                data: null
        '401':
          description: Authentication failed — missing or invalid API key.
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: integer
                    description: >-
                      Status code of the response. `200` indicates a successful
                      request.
                  message:
                    type: string
                    description: Human-readable description of the result.
                  data:
                    nullable: true
                    description: Response payload.
              example:
                statusCode: 401
                message: >-
                  Unauthorized. Provide a valid API key in the Authorization
                  header.
                data: null
        '404':
          description: Not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: integer
                    description: >-
                      Status code of the response. `200` indicates a successful
                      request.
                  message:
                    type: string
                    description: Human-readable description of the result.
                  data:
                    nullable: true
                    description: Always `null` for error responses.
              example:
                statusCode: 404
                message: Funding source not found.
                data: null
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      x-default: '{{APIKey}}'

````